//------------------------------------------------------------------------------------
// irr::gui::IGUIFileOpenDialog wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

extern "C" {

const c8* IrrGUI_IGUIFileOpenDialog_getFileName(IGUIFileOpenDialog* fo)
{
	if (fo) {
		stringc* filename=new stringc(fo->getFileName());
		return filename->c_str();
	} else return NULL;	
}

const c8* IrrGUI_IGUIFileOpenDialog_getDirectoryName(IGUIFileOpenDialog* fo) {
	if (fo)
		return fo->getDirectoryName().c_str();
	else return NULL;
}

}

